> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/react-native/standalone-modules/document-detector/customizing-style.md).

# Customizing Style

### Android

On Android, to be able to customize the style, you need to have access to the react native android folder

#### Primary Color

Inside the android folder in `android/app/src/main/res/values/styles.xml`, add the following code:

```xml
...
<style name="cafDefaultStyle" parent="cafWindowProperties">
  <item name="colorPrimary">#f43d2f</item>
</style>

<style name="cafDefaultButtonStyle" parent="Widget.AppCompat.Button">
  <item name="android:layout_width">0dp</item>
  <item name="android:layout_height">60dp</item>
  <item name="android:gravity">center</item>
  <item name="android:textColor">#ffffff</item>
  <item name="android:textSize">18sp</item>
  <item name="android:fontFamily">sans-serif</item>
  <item name="android:textAllCaps">false</item>
  <item name="backgroundTint">?attr/colorPrimary</item>
</style>

<style name="cafDefaultUploadStyle" parent="cafWindowProperties">
  <item name="android:background">#000000</item>
</style>

<style name="cafDefaultPreviewStyle" parent="cafWindowProperties">
  <item name="android:background">#000000</item>
</style>
```

#### Feedback Colors

Inside the android folder in `android/app/src/main/res/values/colors.xml`, add the following code:

```xml
<?xml version="1.0" encoding="utf-8"?>
<resources>
  ...
  <color name="mask_color_red_background">#667818</color> // Error color
  <color name="mask_color_green_background">#B0F1FF</color> // Success color
  <color name="mask_color_black_background">#80FF6E</color> // Default color
</resources>
```

#### How to use

```tsx
import React from 'react';
import {
  useDocumentDetector,
} from '@caf.io/react-native-document-detector';

export default function App() {
  const { 
    result, 
    error, 
    cancelled, 
  } = useDocumentDetector({
    style: {
      primaryColor: '#f43d2f',
      feedbackColors: {
        errorColor: '#667818',
        successColor: '#B0F1FF',
        defaultColor: '#80FF6E'
      },
      uploadBackgroundColor: '#000000',
      previewBackgroundColor: '#000000',
    },
  });

  return (
    ...
  );
} 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/react-native/standalone-modules/document-detector/customizing-style.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
